Get Routes
- GET
- /workspaces
- /:workspace
- /distributions
- /:distribution_id
- /routes
- /:route_id
Get a specific route by ID
Request example
CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/distributions/:distribution_id/routes/:route_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json"
EXAMPLE RESPONSE
{
"url": "https://api.buddy.works/workspaces/my-workspace/distributions/gNYmaWYw/routes/dybEM2bg?project_name=my-project",
"html_url": "https://app.buddy.works/my-workspace/my-project/routing/gNYmaWYw/route/dybEM2bg",
"id": "dybEM2bg",
"type": "DIRECT_PROXY",
"subdomain": "sandbox",
"domain": "buddy.works",
"path": "",
"targets": {
"Default": {
"type": "SANDBOX",
"sandbox": {
"id": "ynjuqe2kov258",
"endpoint": "www"
}
}
},
"note": "Notes about this resource",
"agent_note": "my_custom_field: note for agent"
}STATUS
200 OK